Can't install Criterion package on ghc ..

John Lato jwlato at
Tue Apr 13 11:14:30 EDT 2010

> From: Mozhgan kabiri <mozhgan.kabiri at>
> Hi,
> I am trying to install Criterion package, but I keep getting an error and I
> can't figure it out why it is like this !!
> mozhgan at Mozhgan-KCh:~$ cabal install Criterion
> Resolving dependencies...
> Configuring vector-algorithms-0.3...
> Preprocessing library vector-algorithms-0.3...
> Building vector-algorithms-0.3...

> [8 of 9] Compiling Data.Vector.Algorithms.Intro (
> Data/Vector/Algorithms/Intro.hs, dist/build/Data/Vector/Algorithms/Intro.o )
> ghc: panic! (the 'impossible' happened)
>  (GHC version 6.10.4 for i386-unknown-linux):
>    idInfo co{v a9WB} [tv]

This is definitely a bug in GHC, most likely related to type families
and fixed in GHC-6.12.x

If you can upgrade to ghc-6.12.1, that should solve this problem.  If
you need to remain on ghc-6.10.4, try installing an older version of
criterion.  You can do this with 'cabal install criterion-'
Criterion-0.5 is the first version to depend upon vector-algorithms,
so any previous version has a chance of working.


More information about the Glasgow-haskell-users mailing list